Module java.xml
Package javax.xml.xpath

## Interface XPathEvaluationResult<T>

Type Parameters:
  `T` - the object type returned by the XPath evaluation.

    public interface XPathEvaluationResult<T>

The `XPathEvaluationResult` interface represents the result of the evaluation of an XPath expression within the context of a particular node. The evaluation of an XPath expression can result in various result types as defined in XML Path Language (XPath) Version 1.0.

Since:
  9
See Also:
  XML Path Language (XPath) Version 1.0

### Nested Class Summary

Nested Classes
`static class` `XPathEvaluationResult.XPathResultType` XPathResultType represents possible return types of an XPath evaluation.

### Method Summary

All Methods Instance Methods Abstract Methods
`XPathEvaluationResult.XPathResultType` `type()` Return the result type as an enum specified by `XPathResultType`
`T` `value()` Returns the value of the result as the type `<T>` specified for the class.

### Method Detail

#### type

    XPathEvaluationResult.XPathResultType type()

Return the result type as an enum specified by `XPathResultType`

Returns:
  the result type

#### value

    T value()

Returns the value of the result as the type `<T>` specified for the class.

Returns:
  The value of the result.